commit:     ec4f4a51d580398ea382a606d911f0a3aca68379
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 21 01:40:16 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Jan 21 16:11:57 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec4f4a51

sci-libs/shapelib: 1.4.0 version bump, switch to autotools

Gentoo-bug: 455430

Package-Manager: portage-2.3.0

 sci-libs/shapelib/Manifest              |  1 +
 sci-libs/shapelib/shapelib-1.4.0.ebuild | 39 +++++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/sci-libs/shapelib/Manifest b/sci-libs/shapelib/Manifest
index 86aae20..bb88446 100644
--- a/sci-libs/shapelib/Manifest
+++ b/sci-libs/shapelib/Manifest
@@ -1 +1,2 @@
 DIST shapelib-1.3.0.tar.gz 156301 SHA256 
23d474016158ab5077db2f599527631706ba5c0dc7c4178a6a1d685bb014f68f SHA512 
286a9faf7d7a6d88db3cceffb4e0fe335e5d754244b4e83110862ba0f88904aa10dd2814aa0c93d7531781cb318052d3f683160c9644f83f93e7d20108ac3b60
 WHIRLPOOL 
79b44dac05f8ca5e10809f7af1e9d0d1f1f5a2c7009698aa5dd33260a362c75b7e7f09cf535d58b6510f355ff5dfb193f2a0c7d14ef913caa4a0d5b099ef3a5b
+DIST shapelib-1.4.0.tar.gz 548990 SHA256 
3eddd5f2690f2cf18d8d9798267537a2102a289020b9818f9a31eb626f91a7a1 SHA512 
206b81fe859a837e821e449ab1b2dbd5a3aa7abd1871da4aec69e130b6fad6300697429884ce359c90e4b76bca90e2108f32b9fdbd3b92013fa5a39f3bedeeb1
 WHIRLPOOL 
ac411c0a40923aede1236cc5afe77ffc83f2700b95360204f11c9fe0299512728ae8e66017ffb4baa7f9d54f20d7f7e5c0b8a30dc697c611f601fed158dc1557

diff --git a/sci-libs/shapelib/shapelib-1.4.0.ebuild 
b/sci-libs/shapelib/shapelib-1.4.0.ebuild
new file mode 100644
index 00000000..8efd4f1
--- /dev/null
+++ b/sci-libs/shapelib/shapelib-1.4.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="Library for manipulating ESRI Shapefiles"
+HOMEPAGE="http://shapelib.maptools.org/";
+SRC_URI="http://download.osgeo.org/${PN}/${P}.tar.gz";
+
+LICENSE="GPL-2 LGPL-2"
+SLOT="0/2"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="doc static-libs"
+
+DEPEND=""
+RDEPEND=""
+
+src_prepare() {
+       default
+       rm -r m4/* || die
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               --includedir=/usr/include/libshp
+}
+
+src_install() {
+       use doc && HTML_DOCS=( web/. )
+       default
+
+       if ! use static-libs; then
+               find "${D}" \( -name '*.la' -o -name '*.a' \) -delete || die
+       fi
+}

Reply via email to